VTK: vtkLabelHierarchy::Implementation Class Reference

| VTK 9.3.1

Classes | Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
vtkLabelHierarchy::Implementation Class Reference

`#include <vtkLabelHierarchyPrivate.h>`

Collaboration diagram for vtkLabelHierarchy::Implementation:
[legend]

## Classes
class | LabelSet
struct | PriorityComparator

## Public Types
typedef octree< LabelSet, 2 > | HierarchyType2
typedef octree< LabelSet, 2 >::cursor | HierarchyCursor2
typedef octree< LabelSet, 2 >::iterator | HierarchyIterator2
typedef octree< LabelSet > | HierarchyType3
typedef octree< LabelSet >::cursor | HierarchyCursor3
typedef octree< LabelSet >::iterator | HierarchyIterator3

## Public Member Functions
| Implementation ()
| ~Implementation ()
bool | ComparePriorities (vtkIdType a, vtkIdType b)
void | BinAnchorsToLevel (int level)
void | PromoteAnchors ()
void | DemoteAnchors (int level)
void | RecursiveNodeDivide (HierarchyCursor2 &cursor)
void | RecursiveNodeDivide (HierarchyCursor3 &cursor)
void | PrepareSortedAnchors (LabelSet &anchors)
void | FillHierarchyRoot (LabelSet &anchors)
void | DropAnchor2 (vtkIdType anchor)
void | DropAnchor3 (vtkIdType anchor)
void | SmudgeAnchor2 (HierarchyCursor2 &cursor, vtkIdType anchor, double *x)
void | SmudgeAnchor3 (HierarchyCursor3 &cursor, vtkIdType anchor, double *x)

## Public Attributes
double | Z2
HierarchyType2 * | Hierarchy2
HierarchyType3 * | Hierarchy3
vtkTimeStamp | HierarchyTime
HierarchyType3::size_type | ActualDepth
vtkLabelHierarchy * | Husk

## Static Public Attributes
static vtkLabelHierarchy * | Current

## Detailed Description

Definition at line 14 of file vtkLabelHierarchyPrivate.h.

## Member Typedef Documentation

## ◆ HierarchyType2

typedef octree<LabelSet, 2> vtkLabelHierarchy::Implementation::HierarchyType2

Definition at line 151 of file vtkLabelHierarchyPrivate.h.

## ◆ HierarchyCursor2

typedef octree<LabelSet, 2>::cursor vtkLabelHierarchy::Implementation::HierarchyCursor2

Definition at line 152 of file vtkLabelHierarchyPrivate.h.

## ◆ HierarchyIterator2

typedef octree<LabelSet, 2>::iterator vtkLabelHierarchy::Implementation::HierarchyIterator2

Definition at line 153 of file vtkLabelHierarchyPrivate.h.

## ◆ HierarchyType3

typedef octree<LabelSet> vtkLabelHierarchy::Implementation::HierarchyType3

Definition at line 155 of file vtkLabelHierarchyPrivate.h.

## ◆ HierarchyCursor3

typedef octree<LabelSet>::cursor vtkLabelHierarchy::Implementation::HierarchyCursor3

Definition at line 156 of file vtkLabelHierarchyPrivate.h.

## ◆ HierarchyIterator3

typedef octree<LabelSet>::iterator vtkLabelHierarchy::Implementation::HierarchyIterator3

Definition at line 157 of file vtkLabelHierarchyPrivate.h.

## Constructor & Destructor Documentation

## ◆ Implementation()

vtkLabelHierarchy::Implementation::Implementation | ( |  | ) |
| inline

Definition at line 17 of file vtkLabelHierarchyPrivate.h.

## ◆ ~Implementation()

vtkLabelHierarchy::Implementation::~Implementation | ( |  | ) |
| inline

Definition at line 25 of file vtkLabelHierarchyPrivate.h.

## Member Function Documentation

## ◆ ComparePriorities()

bool vtkLabelHierarchy::Implementation::ComparePriorities | ( | vtkIdType | a,
|  | vtkIdType | b
| ) |  |
| inline

Definition at line 31 of file vtkLabelHierarchyPrivate.h.

## ◆ BinAnchorsToLevel()

void vtkLabelHierarchy::Implementation::BinAnchorsToLevel | ( | int | level | ) |

## ◆ PromoteAnchors()

void vtkLabelHierarchy::Implementation::PromoteAnchors | ( |  | ) |

## ◆ DemoteAnchors()

void vtkLabelHierarchy::Implementation::DemoteAnchors | ( | int | level | ) |

## ◆ RecursiveNodeDivide() [1/2]

void vtkLabelHierarchy::Implementation::RecursiveNodeDivide | ( | HierarchyCursor2 & | cursor | ) |

## ◆ RecursiveNodeDivide() [2/2]

void vtkLabelHierarchy::Implementation::RecursiveNodeDivide | ( | HierarchyCursor3 & | cursor | ) |

## ◆ PrepareSortedAnchors()

void vtkLabelHierarchy::Implementation::PrepareSortedAnchors | ( | LabelSet & | anchors | ) |

## ◆ FillHierarchyRoot()

void vtkLabelHierarchy::Implementation::FillHierarchyRoot | ( | LabelSet & | anchors | ) |

## ◆ DropAnchor2()

void vtkLabelHierarchy::Implementation::DropAnchor2 | ( | vtkIdType | anchor | ) |

## ◆ DropAnchor3()

void vtkLabelHierarchy::Implementation::DropAnchor3 | ( | vtkIdType | anchor | ) |

## ◆ SmudgeAnchor2()

void vtkLabelHierarchy::Implementation::SmudgeAnchor2 | ( | HierarchyCursor2 & | cursor,
|  | vtkIdType | anchor,
|  | double * | x
| ) |  |

## ◆ SmudgeAnchor3()

void vtkLabelHierarchy::Implementation::SmudgeAnchor3 | ( | HierarchyCursor3 & | cursor,
|  | vtkIdType | anchor,
|  | double * | x
| ) |  |

## Member Data Documentation

## ◆ Z2

double vtkLabelHierarchy::Implementation::Z2

Definition at line 182 of file vtkLabelHierarchyPrivate.h.

## ◆ Hierarchy2

HierarchyType2* vtkLabelHierarchy::Implementation::Hierarchy2

Definition at line 183 of file vtkLabelHierarchyPrivate.h.

## ◆ Hierarchy3

HierarchyType3* vtkLabelHierarchy::Implementation::Hierarchy3

Definition at line 185 of file vtkLabelHierarchyPrivate.h.

## ◆ HierarchyTime

vtkTimeStamp vtkLabelHierarchy::Implementation::HierarchyTime

Definition at line 186 of file vtkLabelHierarchyPrivate.h.

## ◆ ActualDepth

HierarchyType3::size_type vtkLabelHierarchy::Implementation::ActualDepth

Definition at line 187 of file vtkLabelHierarchyPrivate.h.

## ◆ Husk

vtkLabelHierarchy* vtkLabelHierarchy::Implementation::Husk

Definition at line 188 of file vtkLabelHierarchyPrivate.h.

## ◆ Current

vtkLabelHierarchy* vtkLabelHierarchy::Implementation::Current
| static

Definition at line 190 of file vtkLabelHierarchyPrivate.h.

The documentation for this class was generated from the following file:

- Rendering/Label/vtkLabelHierarchyPrivate.h